
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【android】 应用结构分析 / iVAN</title>

    <meta name="description" content="【android】 应用结构分析 1.AndroidManifest.xml 类似于java程序中的manifest.mf.是一个程序清单.描述了程序的入口以及依赖等. 此文件还描述了程序所需的权限,如拨打电话的权限.使用相机的权限等. 2.Activity activity是程序中负责与用户交互的组件. 2.1常用方法 onCreate(Bundle savedInstanceState) 当第一次创建activity时,会回调该方法.一般这么用: public class MainActivity extends AppCo">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【android】 应用结构分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>1.AndroidManifest.xml</h1>
<p>类似于java程序中的manifest.mf。是一个程序清单。描述了程序的入口以及依赖等。</p>
<p>此文件还描述了程序所需的权限，如拨打电话的权限、使用相机的权限等。</p>
<h1>2.Activity</h1>
<p>activity是程序中负责与用户交互的组件。</p>
<h2>2.1常用方法</h2>
<p>onCreate(Bundle savedInstanceState)</p>
<p>当第一次创建activity时，会回调该方法。一般这么用：</p>
<pre>public class MainActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);//layout类也是view的子类
    }
}</pre>
<p>setContentView(@LayoutRes int layoutResID)<br />
在activity中显示视图。</p>
<p>View android.app.Activity.findViewById(int id)<br />
根据xml中控件的id来获取控件对象。</p>
<h2>2.2指定应用启动的默认视图</h2>
<p>在manifest中添加&lt;activity&gt;标签，并设置恰当的&lt;intent-filter&gt;子标签，见下;</p>
<pre>&lt;activity android:name=".MyActivity"
	android:theme="@android:style/Theme.NoTitleBar.Fullscreen"&gt;
	&lt;!--下列的intetn-filter指定了应用启动的默认视图--&gt;
	&lt;intent-filter&gt;
		&lt;action android:name="android.intent.action.MAIN" /&gt;
		&lt;category android:name="android.intent.category.LAUNCHER" /&gt;
	&lt;/intent-filter&gt;
&lt;/activity&gt;</pre>
<h1>3.View</h1>
<p>android.view.View</p>
<p>View是所有UI控件（如 按钮，列表框等）的基类，需要放到Activity中使用。</p>
<p>当android系统提供的UI组件不足以满足项目需要时，开发者可以自己写View的子类。</p>
<h2>3.1xml布局</h2>
<p>推荐使用xml布局文件来定义用户界面，而不是使用java代码来开发界面。布局文件在res/layout/目录下，编译后会得到R.java。</p>
<h1>4.Service</h1>
<p>Service与activity的地位是并列的。但它运行于后台，不与用户直接交互。</p>
<h1>4.事件</h1>
<p>移步：<a href="http://blog.csdn.net/chuchus/article/details/42464235" rel="external nofollow noreferrer">http://blog.csdn.net/chuchus/article/details/42464235</a></p>
<h1>5.用户通知</h1>
<p>Toast 是一个 View 视图，浮动在屏幕上，给用户一些帮助、提示，它永远不会获得焦点，不影响用户的输入等操作。<br />
Toast 最常见的创建方式是使用静态方法 Toast.makeText，使用方法见下：</p>
<pre>// 第一个参数：当前的上下文环境。可用getApplicationContext()或this
// 第二个参数：要显示的字符串。也可是R.string中字符串ID
// 第三个参数：显示的时间长短。Toast默认的有两个LENGTH_LONG(长)和LENGTH_SHORT(短)，也可以使用毫秒如2000ms
Toast toast=Toast.makeText(getApplicationContext(), "默认的Toast", Toast.LENGTH_SHORT);
//显示toast信息
toast.show(); </pre>
<h1>6.常见问答</h1>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmJsb2cuY3Nkbi5uZXQveGhlZGl0b3IveGhlZGl0b3JfZW1vdC9kZWZhdWx0L3NtaWxlLmdpZg==.jpg">问:Application，Activity与Context类的区别与联系是什么？</p>
<p>答：Activty是UI界面的抽象，Application是应用程序的抽象。一个Application由若干个Activity组成。一般继承Application主要是做一些初始化以及获取全局Context的引用。</p>
<p>Activity与Application都是Context的子类。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:19:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7%e7%95%8c%e9%9d%a2/" title="用户界面">用户界面</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【android】 应用结构分析的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP1wvp.html" rel="bookmark">Android源代码结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Google提供的Android包含了:Android源代码,工具链,基础C库,仿真环境,开发环境等,完整的一套. 第一级别的目录和文件如下所示: [cpp] view plaincopy ----------------   ├── Makefile            全局的Makefile   ├── build               系统编译规则和配置所需要的脚本和工具   ----------------   ├── prebuilt        各种平台编译工具链   ├─			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9vAj3p.html" rel="bookmark">Android学习笔记&lpar;3&rpar;&colon;Android项目结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了更好的了解Android的工程结构,我们在命令行窗口创建一个Android工程,在命令行窗口输入如下的命令: android create project -n HelloWorld -t android-19 -p E:\AndroidWS\HelloWorld -k pres.zxc.helloworld -a  MainActivity (-n指定创建的项目的名称,-t指定Android平台,-p指定工程的保存路径,-k指定项目的报名,-a指定Activity的名称) 然后来到我们的工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0NgAb.html" rel="bookmark">Android开发学习清单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录: 第1章 Android应用与开发环境1.1 Android的发展和历史1.1.1 Android的发展和简介1.1.2 Android平台架构及特性1.2 搭建Android开发环境1.2.1 下载和安装Android SDK1.2.2 安装Eclipse和ADT插件1.3 Android常用开发工具的用法1.3.1 创建.删除和浏览AVD1.3.2 使用Android模拟器(Emulator)1.3.3 使用DDMS进行调试android调试输出1.3.4 Android Debug			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7KQqb.html" rel="bookmark">Android 源码结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 2.1 源码结构分析 Android 2.1总目录 |-- Makefile|-- bionic (bionic C 库)|-- bootable (启动引导相关代码)|-- build (存放系统编译规则及generic等 基础开发包配置)|-- cts (Android兼容性测试套件标准)|-- dalvik (dalvik JAVA虚拟机)|-- development (应用程序开发相关)|-- external (android使用的一些开 源的模组)|-- frame			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQj7dKM.html" rel="bookmark">&period;Net 转战 Android 4&period;4 日常笔记（3）--目录结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:.Net 转战 Android 4.4 日常笔记(3)--目录结构分析 看了创建项目后,出现的文件夹很多确实有点晕,不过经过简单的了解还是跟我们asp.net的目录有点相识滴. 下面这张图,概括了主要的文件用途.其实也只需要了解这几个就差不多了,知道在那里设计界面,那里写代码就差不多了 我们在学习asp.net也没有刻意去了解bin下的dll吧 全局配置文件,视图,控制层都还是比较容易理解,同样有样式,图片,资源文件等等,但是Android把这些资源文件注册到R.java里面,所以我们要通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5ZP6M.html" rel="bookmark">Android编程入门之HelloWorld项目目录结构分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程入门之HelloWorld项目目录结构.分享给大家供大家参考,具体如下: 我们介绍了如何搭建Android开发环境及简单地建立一个HelloWorld项目,本篇将通过HelloWorld项目来介绍Android项目的目录结构.本文的主要主题如下: 1.HelloWorld项目的目录结构 1.1.src文件夹 1.2.gen文件夹 1.3.Android 2.1文件夹 1.4.assets 1.5.res文件夹 1.6.AndroidManifest.xml 1.7			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKV8qp.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android项目目录结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此文章来自&quot;博客园&quot;博主,仅在此借鉴,学习 1.HelloWorld项目的目录结构 1.1.src文件夹 1.2.gen文件夹 1.3.Android 2.1文件夹 1.4.assets  1.5.res文件夹 1.6.AndroidManifest.xml 1.7.default.properties 1.HelloWorld项目的目录结构 (这个HelloWorld项目是基于Android 2.1的)在Eclipse的左侧展开HelloWorld项目,可以看到如下图的目录结构: 图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ3dODb.html" rel="bookmark">Android开发学习总结&lpar;五&rpar;&mdash;&mdash;Android应用目录结构分析（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.手动创建android项目 手动创建一个Android项目,命名为HelloWorld,命令如下: android create project -n HelloWorld -t 1 -p E:/Android/workspace/Helloworld -k me.gacl.helloworld -a Helloworld 上面的命令中,-n指定项目的名称,-t指定android平台,-p指定项目存放路径,-k指定项目包名,-a指定Activity名称. 使用命令 android list			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp51AWp.html" rel="bookmark">Qt Project源码结构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在网上阅读了QT入门教程系列文章,感谢豆豆博客的版主,把这么好的教程和大家分享,本文是对入门教程的笔记,以期抛砖引玉,听到大家的好见解. 希望大家更好更快的学习QT,达到自己的目标,实现自己的理想. 本文分析QT项目的结构,如头文件中代码的结构与功效,主源代码文件的结构与功效.也就是说头文件中应该放些什么,源代码文件中放些什么. 先看一个经典的例子,头文件: #ifndef FINDDIALOG_H #define FINDDIALOG_H #include &lt;QtGui/QDialog&gt; c			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7wZZz.html" rel="bookmark" class="title">vfp报表中如何动态显示打印二维码，每条记录的值有可能重复，比如姓名用二维码显示打印。</a>
					<div>
						问题描述 vfp报表中如何动态显示打印二维码,每条记录的值有可能重复,比如姓名用二维码显示打印. vfp报表中如何动态显示打印二维码,每条记录的值有可能重复,比如姓名用二维码显示打印.求关注求转发求收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnZWkp.html" rel="bookmark" class="title">一个 utf-8 网页在 IE6下的BUG</a>
					<div>
						网页 一个 utf-8 网页在 IE6 下的BUG 自己测试的,不一定100%准确,仅供参考. 触发条件:1. title标签里的内容为中文其他双字节字符2. 指定网页编码的 meta 信息在 tit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVPZQM.html" rel="bookmark" class="title">百度K站的共性主要都有哪些</a>
					<div>
						最近很多站长发现百度对很多网站进行了K站,这是自2013年以来最大的一次K站,那么如何应对百度最近的K站.那么什么是K站肯定对于新手朋友来说还不是很了解,下面就对大家普及一点点知识.K站一般情况下可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrB3yM.html" rel="bookmark" class="title">Visual Basic 2005在语言上的增强（十三）显式的数组范围及小结</a>
					<div>
						visual|数组 显式的数组范围 你现在可以使用显式的数组范围来声明数组,这样的声明更加清晰可读了:Dim a(10) As Integer '旧方式Dim b(0 To 10) As Intege ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyNBkp.html" rel="bookmark" class="title">C&num;如何读取Excel中的数据</a>
					<div>
						#region 读取Excel中的数据 02./// &lt;summary&gt; 03./// 读取Excel中的数据 04./// &lt;/summary&gt; 05./// &lt;par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEEq7b.html" rel="bookmark" class="title">使浏览器实现JavaScript支持的方法解析</a>
					<div>
						一.基本的JavaScript 开发环境 JavaScript Reference与JavaScript API: JavaScript Reference是用于建立包含JavaScript runt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AqGAp.html" rel="bookmark" class="title">AppFabric缓存-实际应用与集成</a>
					<div>
						Microsoft Windows Server AppFabric 以前的代号是&quot;Velocity&quot;,提供了可以集成到 Web 应用程序和桌面应用程序的分散式缓存.AppFabr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrORZp.html" rel="bookmark" class="title">深入&period;NET核心：CLR函数使用举例</a>
					<div>
						可以在 SQL Server 实例中创建可在 Microsoft .NET Framework 公共语言运行时 (CLR) 中创建的程 序集中进行编程的数据库对象.可以充分利用公共语言运行时所提供的丰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLPYkb.html" rel="bookmark" class="title">讯飞输入法怎么安装使用</a>
					<div>
						  方法一:手工安装 1.下载皮肤安装包文件(后缀是.is)后,上传到手机sd卡的iFlyIME目录下skin文件夹内(如果不存在请手工创建). 2.然后进入讯飞输入法设置-&gt;界面设置-&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNErn4b.html" rel="bookmark" class="title">笔记本电脑搜不到无线网络怎么办</a>
					<div>
						  笔记本电脑搜不到无线网络怎么办 首先我们打开笔记本电脑,然后点击搜索无线WiFi,是不是搜到了很多WiFi,但是为什么没有看到自己家的呐. 那么现在就来检查一下是哪出来问题吧,看一下光猫,光纤,网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yKVZz.html" rel="bookmark" class="title">火狐浏览器3&period;5启动慢怎么办</a>
					<div>
						  很多用户都在反映,Firefox 3.5的启动速度很慢,那么,火狐浏览器3.5启动慢怎么办呢?下面,就和小编一起来看看火狐浏览器3.5启动慢解决办法. 火狐浏览器 第一种: Firefox 3.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24RDrp.html" rel="bookmark" class="title">word下划线怎么打？</a>
					<div>
						  最近,有网友向小编询问:word下划线怎么打?关于这个问题,小编表示需要分情况来说明,比如说需要打的是很短的下划线还是一行下划线,还是一个下划线,根据这个思路,小编就为大家整理了word打出下划线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badgeqz.html" rel="bookmark" class="title">XP操作系统下如何安装IIS服务器</a>
					<div>
						一:IIS简介 InternetInformationServer的缩写为(IIS)是一个WorldWideWebserver.Gopherserver和 FTPserver全部包容在里面.IIS意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdJPaM.html" rel="bookmark" class="title">Win7清除Win10更新安装包的几种可行方法</a>
					<div>
						  现在微软系统已经更新到了Win10,很多Win7系统用户迫不及待的下载了Win10更新安装包,可是在下载后突然不想使用Win10了,可是又不找到Win10更新安装包的下载位置了,那么要如何删除Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eK7Nb.html" rel="bookmark" class="title">新版谷歌地图网页版开放试用 功能具更多社交属性</a>
					<div>
						硅谷网讯 五月份谷歌在I/O 大会上公布了新版谷歌地图细节,并通过发放邀请函的方式小规模试用,近日谷歌发布新版谷歌地图的安卓应用,昨日谷歌宣布,新版谷歌地图网页版开放试用. 新版谷歌http://ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdaNp.html" rel="bookmark" class="title">ＳＱＬ用视图！２个同样的表！这样的结构怎么操作啊！</a>
					<div>
						问题描述 SQL用视图!2个同样的表!这样的结构怎么操作啊!A1A2A3Ax这样的表!每个表放100W数据!如果A1存满了100W条数据!怎么在A2里接着存现在的问题是在A2这个表里存储的时候!怎么按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGvJab.html" rel="bookmark" class="title">asp&period;net 编辑gridview的小例子&lowbar;实用技巧</a>
					<div>
						编辑gridview例子,完整代码如下. 复制代码 代码如下: protected void GridView1_RowEditing(object sender, GridViewEditEvent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQydOp.html" rel="bookmark" class="title">谷歌字体库重现互联网早期精神</a>
					<div>
						有人在谷歌在线字体库当中发现了互联网早期的各种字体效果,这些字体效果曾经出现在大名鼎鼎的个人主页网站当中,比如已经被雅虎关闭的Geocities和微软的WorldArt等等.不过,谷歌字体默认是关闭这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQZKNp.html" rel="bookmark" class="title">北京电子商务类网站今年将推用户实名制</a>
					<div>
						记者1月18日从首都文明办了解到,今年全市将开展网络分级管理试点工作,同时在管理规范的电子商务和社会关系型网站逐步实现全部用户以真实身份信息注册,推动文明办网.上网. 在18日召开的2010年首都文明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N7g8M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;三星&rdquo;被围</a>
					<div>
						        三星在存储芯片.面板.集成电路代工和手机等诸多领域发展势头强劲,正所谓树大招风,三星的崛起正在使他自己落入美.日.台同行们的&quot;包围&quot;之中.   7月30日,美国苹果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE3Zkp.html" rel="bookmark" class="title">微信公众平台开发（71）OAuth2&period;0网页授权</a>
					<div>
						微信公众平台开发 OAuth2.0网页授权认证 网页授权获取用户基本信息 作者:方倍工作室   微信公众平台最近新推出微信认证,认证后可以获得高级接口权限,其中一个是OAuth2.0网页授权,很多朋友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXww1z.html" rel="bookmark" class="title">数学-c语言题目求助~~~大家帮忙看一下这个代码有啥错误</a>
					<div>
						问题描述 c语言题目求助~~~大家帮忙看一下这个代码有啥错误 **1/1 + 1/2 + 1/3 + 1/4 + ... 在数学上称为调和级数. **它是发散的,也就是说,只要加上足够多的项,就可以得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWxy8z.html" rel="bookmark" class="title">mfc串口通信-大神！ 串口通信多编辑框显示到一个编辑框！求教代码！谢谢！</a>
					<div>
						问题描述 大神! 串口通信多编辑框显示到一个编辑框!求教代码!谢谢! 是这样的.串口通信中有多个发送编辑框 现在需将这多个编辑框的内容显示到一个大的(最后的,总的)发送编辑框中 现如今这段代码遇到了问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK1EDb.html" rel="bookmark" class="title">中科院称360浏览器存严重隐私安全问题</a>
					<div>
						360浏览器侵犯用户隐私话题再次引人关注.据&lt;上海青年报&gt;11月23日报道,中国科学院信息工程研究所主办的&quot;隐私保护&quot;学术研讨会在京召开.会上一份由中科院保密技术攻防重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX2X5b.html" rel="bookmark" class="title">股市：南汇并入浦东哪些公司受益</a>
					<div>
						本刊记者 姚舜 日前,国务院同意撤销上海市南汇区,将其行政区域并入上海市浦东新区.对此,海通证券认为,这是加快推动上海&quot;两个中心&quot;即金融中心与航运中心建设的重要步骤之一,对未来上海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNd23M.html" rel="bookmark" class="title">云云盘古：搜索新创业者的异与同</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 云云搜索CEO刘骏 盘古搜索CEO王红宇 以创业方式进入搜索市场的后来者并不多.近期接触了其中的两个,云云搜索CEO刘骏以及盘古搜索CEO王红宇.两个搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj64oM.html" rel="bookmark" class="title">想用java编程实现求代数式最大值问题</a>
					<div>
						问题描述 函数f(x,y)=2xy+2y-x*x-2y*y用two-variable编程计算上面的最大值谢谢! 解决方案 解决方案二:java做得到么?关注中...解决方案三:是想用什么语言实现啊?问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEdOeM.html" rel="bookmark" class="title">获取udp数据源IP</a>
					<div>
						问题描述 我是用C#做一个udp数据转发,客户端只有一个,服务器有3-4个,原系统是正常运行,通过udp通信.我现在是做一个转发程序.单独的发送和接收都没问题,但做成一个程序时要根据数据的来源IP判断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x9Bdb.html" rel="bookmark" class="title">互联网与传统产业八大跨界 2014即将爆发的&OpenCurlyDoubleQuote;核聚变&rdquo;</a>
					<div>
						2013,这一年互联网从金融到教育,从医疗到穿戴,&quot;遇土而入,遇水而化&quot;所向披靡,一一突破传统产业壁垒森严的边界.从产品形态.销售渠道.服务方式.盈利模式等多个方面打破原有的业态, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlXJmp.html" rel="bookmark" class="title">40个有创意的jQuery图片和内容滑动及弹出插件收藏集之二&lowbar;jquery</a>
					<div>
						在网页的首页或图片专题页面很多地方都会用到图片滑动插件来循环切换多张图片,并且用户可以点击左右按钮来切换图片.相信大家都知道jQuery是最优秀的Javascript框架之一.以其语法简单灵活而大受W ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
